package model

type SpeakerInfo struct {
	Name   string `yaml:"name"`
	Ip     string `yaml:"ip"`
	Branch byte   `yaml:"branch"`
	Speed  byte   `yaml:"speed"`
	Volume byte   `yaml:"volume"`
	Audio  string `yaml:"audio"`
}

type PlayReq struct {
	Url    string   `json:"url"`    //要播放的网络音频 http/https/rtsp等⾳频地址
	Text   string   `json:"text"`   //要播放的文本内容
	Vcn    string   `json:"vcn"`    //发音人 xiaofeng xiaoyan
	Speed  byte     `json:"speed"`  //发音速度 0-100 默认50
	Volume byte     `json:"volume"` //音量 0-100 默认50
	Rdn    string   `json:"rdn"`    //数字发音 0 数值优先, 1 完全数值, 2 完全字符串， 3 字符串优先 默认2
	Rcn    string   `json:"rcn"`    //数字1 的中文发音 0：表示发⾳为yao 1：表示发音为yi 默认0
	Reg    byte     `json:"reg"`    //英文发音 0：⾃动识别英语单词； 1：逐个字母发音
	Sync   bool     `json:"sync"`   //true: 同步模式，语音播放完毕后再响应； false：即时响应（不等待播放完成）
	Queue  bool     `json:"queue"`  //true: 队列模式，如果当前有语⾳在播放，则加到队列排队播放
	Loop   LoopInfo `json:"loop"`
}

type LoopInfo struct {
	Duration int `json:"duration"` // 循环（重复）播放时⻓（秒）选填
	Times    int `json:"times"`    // 循环（重复）播放次数（次）选填
	Gap      int `json:"gap"`      // 循环（重复）播放中的间歇时间（秒）
}
